Re: [Pkg-octave-devel] Bug#693873: octave-common: pkg ("list") not compatible with 'warning error Octave:str-to-num'

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [Pkg-octave-devel] Bug#693873: octave-common: pkg ("list") not compatible with 'warning error Octave:str-to-num'

Juan Pablo Carbajal
On Wed, Nov 21, 2012 at 11:11 AM, Marc Cromme <[hidden email]> wrote:

> Package: octave-common
> Version: 3.6.2-5
> Severity: normal
> Tags: upstream
>
> Dear Maintainer,
>
> It appears that the installation of the packages
>
>   octave-java 1.2.8-6   amd64
>   octave-io   1.0.19-1  amd64
>
> together with the promotion of warnings to errors
>
>   warning error Octave:str-to-num
>
> triggers the error, as installation of octave-java makes the read of the octave-io package file
>
> /usr/lib/x86_64-linux-gnu/octave/packages/io-1.0.19/x86_64-pc-linux-gnu-api-v48+/PKG_ADD
>
> mandatory, which in turn crashes with an error in the
>
> /usr/share/octave/3.6.2/m/pkg/pkg.m at line 274, column 3
>
> A short script triggering the undesired behaviour directly is this one:
>
> --- snip ---
> #!/usr/bin/octave -q
> warning error Octave:str-to-num
> pkg ("list");
> --- snip ---
>
> I did expect the code contained in the octave-common packages to support all kind of
> promotion from warnings to errors, as this helps developing clean code.
>
> best regards, and thanks for packaging octave,
>
> Marc Cromme
>
>
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> -- no debconf information
>
> _______________________________________________
> Pkg-octave-devel mailing list
> [hidden email]
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-octave-devel

Forwarding to Octave-Forge development mailing list.


--
Dr. sc. nat. Juan Pablo Carbajal
-----
University of Zürich
http://ailab.ifi.uzh.ch/carbajal/

------------------------------------------------------------------------------
Monitor your physical, virtual and cloud infrastructure from a single
web console. Get in-depth insight into apps, servers, databases, vmware,
SAP, cloud infrastructure, etc. Download 30-day Free Trial.
Pricing starts from $795 for 25 servers or applications!
http://p.sf.net/sfu/zoho_dev2dev_nov
_______________________________________________
Octave-dev mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/octave-dev
Reply | Threaded
Open this post in threaded view
|

Re: [Pkg-octave-devel] Bug#693873: Bug#693873: octave-common: pkg ("list") not compatible with 'warning error Octave:str-to-num'

Juan Pablo Carbajal
On Wed, Nov 21, 2012 at 3:40 PM, Juan Pablo Carbajal
<[hidden email]> wrote:

> On Wed, Nov 21, 2012 at 11:11 AM, Marc Cromme <[hidden email]> wrote:
>> Package: octave-common
>> Version: 3.6.2-5
>> Severity: normal
>> Tags: upstream
>>
>> Dear Maintainer,
>>
>> It appears that the installation of the packages
>>
>>   octave-java 1.2.8-6   amd64
>>   octave-io   1.0.19-1  amd64
>>
>> together with the promotion of warnings to errors
>>
>>   warning error Octave:str-to-num
>>
>> triggers the error, as installation of octave-java makes the read of the octave-io package file
>>
>> /usr/lib/x86_64-linux-gnu/octave/packages/io-1.0.19/x86_64-pc-linux-gnu-api-v48+/PKG_ADD
>>
>> mandatory, which in turn crashes with an error in the
>>
>> /usr/share/octave/3.6.2/m/pkg/pkg.m at line 274, column 3
>>
>> A short script triggering the undesired behaviour directly is this one:
>>
>> --- snip ---
>> #!/usr/bin/octave -q
>> warning error Octave:str-to-num
>> pkg ("list");
>> --- snip ---
>>
>> I did expect the code contained in the octave-common packages to support all kind of
>> promotion from warnings to errors, as this helps developing clean code.
>>
>> best regards, and thanks for packaging octave,
>>
>> Marc Cromme
>>
>>
>> -- System Information:
>> Debian Release: wheezy/sid
>>   APT prefers unstable
>>   APT policy: (500, 'unstable')
>> Architecture: amd64 (x86_64)
>>
>> Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>>
>> -- no debconf information
>>
>> _______________________________________________
>> Pkg-octave-devel mailing list
>> [hidden email]
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-octave-devel
>
> Forwarding to Octave-Forge development mailing list.
>
>
> --
> Dr. sc. nat. Juan Pablo Carbajal
> -----
> University of Zürich
> http://ailab.ifi.uzh.ch/carbajal/
>
> _______________________________________________
> Pkg-octave-devel mailing list
> [hidden email]
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-octave-devel

Sorry, it is not package related.


--
Dr. sc. nat. Juan Pablo Carbajal
-----
University of Zürich
http://ailab.ifi.uzh.ch/carbajal/

------------------------------------------------------------------------------
Monitor your physical, virtual and cloud infrastructure from a single
web console. Get in-depth insight into apps, servers, databases, vmware,
SAP, cloud infrastructure, etc. Download 30-day Free Trial.
Pricing starts from $795 for 25 servers or applications!
http://p.sf.net/sfu/zoho_dev2dev_nov
_______________________________________________
Octave-dev mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/octave-dev